package com.qmth.jkserver.domain;

import io.swagger.annotations.ApiModelProperty;
import org.springframework.beans.factory.annotation.Value;

import java.io.Serializable;
import java.time.Duration;

/**
 * @Description: 系统配置
 * @Param:
 * @return:
 * @Author: wangliang
 * @Date: 2021/10/20
 */
public class SysConfigDomain implements Serializable {

    @ApiModelProperty(value = "允许服务器时间晚于请求时间戳最大时长，默认15秒")
    Integer timeMaxDelay = 15;

    @ApiModelProperty(value = "允许服务器时间早于请求时间戳最大时长，默认5秒")
    Integer timeMaxAhead = 5;

//    boolean oss;
//
//    public boolean isOss() {
//        return oss;
//    }
//
//    public void setOss(boolean oss) {
//        this.oss = oss;
//    }

    public Integer getTimeMaxDelay() {
        return timeMaxDelay;
    }

    public void setTimeMaxDelay(Integer timeMaxDelay) {
        this.timeMaxDelay = timeMaxDelay;
    }

    public Integer getTimeMaxAhead() {
        return timeMaxAhead;
    }

    public void setTimeMaxAhead(Integer timeMaxAhead) {
        this.timeMaxAhead = timeMaxAhead;
    }
}
